Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Interface HelpSetFactory

All Known Implementing Classes:
  HelpSetFactory.Default, JavaHelpFactory

    public interface HelpSetFactory

The interface that implements bridge between javax.help package and JavaTest. Default implementation of this interface just provides stubs, it doesn't use javax.help and could be used in the batch mode. Interview while initialization checks if Desktop is available or not, if yes, the rich factory will be used.

Nested Class Summary
`static class` | `HelpSetFactory.Default`

Field Summary
`static HelpSetFactory` | `DEFAULT` The very default implementation of the HelpSetFactory interface.

Method Summary
`java.lang.Object` | `createHelpID(java.lang.Object hs, java.lang.String str)`
`java.lang.Object` | `createHelpSetObject(java.lang.String name, java.lang.Class c)` Creates an instance of HelpSet.
`java.lang.Object` | `createHelpSetObject(java.lang.String name, java.io.File file)` Creates an instance of HelpSet.
`java.lang.Object` | `updateHelpSetObject(Interview interview, java.lang.Object object)` Updates a HelpSet instance associated with the given interview.

Field Detail

### DEFAULT

    static final HelpSetFactory DEFAULT

  The very default implementation of the HelpSetFactory interface. It should be used in case when help is not required (command line mode)

Method Detail

### createHelpSetObject

    java.lang.Object createHelpSetObject(java.lang.String name,
                                         java.lang.Class c)
                                         throws Interview.Fault

  Creates an instance of HelpSet. Real implementation should create of javax.help.HelpSet, when a stub implementation just object.

  Throws:
    `Interview.Fault` - if something went wrong

### createHelpSetObject

    java.lang.Object createHelpSetObject(java.lang.String name,
                                         java.io.File file)
                                         throws Interview.Fault

  Creates an instance of HelpSet. Real implementation should create of javax.help.HelpSet, when a stub implementation just object.

  Throws:
    `Interview.Fault` - if something went wrong

### updateHelpSetObject

    java.lang.Object updateHelpSetObject(Interview interview,
                                         java.lang.Object object)

  Updates a HelpSet instance associated with the given interview.

  Parameters:
    `interview` - - interview object to reset HelpSet
    `object` - - an instance of javax.help.HelpSet
  Throws:
    `Interview.Fault` - if something went wrong

### createHelpID

    java.lang.Object createHelpID(java.lang.Object hs,
                                  java.lang.String str)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.